## prometheus-alertmanager 0.21.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.21.0+ds-4) unstable; urgency=medium

  * Team upload.
  * Revert "Remove unnecessary DH_GOPKG variable from debian/rules"

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 01:48:05 +0100

prometheus-alertmanager (0.21.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Fix invocation of uglifyjs in maintainer-provided generate-ui.sh script.
    Reported by Daniel Lo Nigro. Closes: #971637.

  [ Guillem Jover ]
  * Switch to debian/watch version 4
  * Indent debian/watch file
  * Do not enable DH_VERBOSE by default
  * Update version.BuildUser to match the Maintainer address
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Switch to dh-sequence-bash-completion
  * Remove nocheck handling from override_dh_auto_test
  * Mark -dev package as Multi-Arch:foreign
  * Use '' instead of `' in text
  * Switch from /var/run to /run
  * Move note about license location on Debian systems into a Comment field
  * Replace out-of-date Comment field about vendoring with Files-Excluded field
  * Set -dev package Section to golang
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Decapitalize synopsis first word
  * Add missing Depends on adduser in prometheus-alertmanager
  * Remove error suppression from postinst
  * Use $() instead of `` in init script
  * Remove unnecessary error suppression from init script
  * Run adduser unconditionally
  * Remove $syslog dependency from init script
  * Change systemd service Restart directive from always to on-failure
  * Fix NAME variable value in sysvinit init script
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Update gitignore entries
  * Use execute_after_dh_auto_test instead of override_ and an explicit call
  * Remove unused adduser from Build-Depends
  * Remove unnecessary DH_GOPKG variable from debian/rules
  * Remove obsolete Hipchat support from default config file
  * Merge log files removal into a single entry
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Thu, 28 Jan 2021 22:27:17 +0100

prometheus-alertmanager (0.21.0+ds-2) unstable; urgency=medium

  * debian/install: rename to explicitly target binary package.
  * debian/rules: Separate install target into arch and indep, to fix
    arch-only or indep-only builds.
  * Use debianised binary name in acceptance tests.

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 15:36:45 +0000

prometheus-alertmanager (0.21.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (rename systemd service file / init
    script).
  * Bump debhelper-compat version to 13.
  * Update maintainer email addresses / names.
  * Add missing build-dep golang-github-alecthomas-units-dev.
  * Add missing build-dep golang-github-oklog-run-dev.
  * Add missing build-dep golang-github-stretchr-testify-dev.
  * Add missing build-dep golang-protobuf-extensions-dev.
  * Refresh patches.
  * Drop obsolete 01-Fix_script_shebang.patch.
  * Add new 06-Backoff-v3.patch to negate superfluous API dependency bump.

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 13:03:01 +0000

=== debian/control ===
Source: prometheus-alertmanager
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               dh-sequence-bash-completion,
               golang-any (>= 2:1.10~),
               golang-github-alecthomas-units-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-go-kit-kit-dev,
               golang-github-go-openapi-errors-dev (>= 0.15.0~),
               golang-github-go-openapi-loads-dev,
               golang-github-go-openapi-runtime-dev (>= 0.15.0~),
               golang-github-go-openapi-spec-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-go-openapi-validate-dev,
               golang-github-gogo-protobuf-dev (>= 0.5),
               golang-github-hashicorp-go-sockaddr-dev,
               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
               golang-github-kylelemons-godebug-dev,
               golang-github-oklog-run-dev,
               golang-github-oklog-ulid-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 1.3.0~),
               golang-github-prometheus-common-dev (>= 0.7.0~),
               golang-github-rs-cors-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
               golang-go-flags-dev,
               golang-golang-x-net-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
               golang-protobuf-extensions-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/alertmanager

Package: prometheus-alertmanager
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

Package: golang-github-prometheus-alertmanager-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends: golang-github-alecthomas-units-dev,
         golang-github-cenkalti-backoff-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-go-kit-kit-dev,
         golang-github-go-openapi-errors-dev (>= 0.15.0~),
         golang-github-go-openapi-loads-dev,
         golang-github-go-openapi-runtime-dev (>= 0.15.0~),
         golang-github-go-openapi-spec-dev,
         golang-github-go-openapi-strfmt-dev,
         golang-github-go-openapi-swag-dev,
         golang-github-go-openapi-validate-dev,
         golang-github-gogo-protobuf-dev (>= 0.5),
         golang-github-hashicorp-go-sockaddr-dev,
         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
         golang-github-kylelemons-godebug-dev,
         golang-github-oklog-run-dev,
         golang-github-oklog-ulid-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev (>= 1.3.0~),
         golang-github-prometheus-common-dev (>= 0.7.0~),
         golang-github-rs-cors-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-stretchr-testify-dev,
         golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
         golang-go-flags-dev,
         golang-golang-x-net-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
         golang-protobuf-extensions-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: handle and deliver alerts created by Prometheus -- source
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
 .
 This package provides the source code to be used as a library.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Acceptance tests need to be run separately.
export DH_GOPKG := github.com/prometheus/alertmanager
export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
export DH_GOLANG_EXCLUDES_ALL := 0
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl ui/app

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
GCCGO       = $(strip $(shell go version | grep gccgo))
VERSION     = $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
	    --builddirectory=$(BUILDDIR)

WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	mv -v $(BUILDDIR)/bin/alertmanager $(BUILDDIR)/bin/prometheus-alertmanager
	# Build bash completion scripts.
	mkdir -vp $(BUILDDIR)/bash_completion.d
	$(BUILDDIR)/bin/amtool --completion-script-bash > \
	    $(BUILDDIR)/bash_completion.d/amtool
	# Build man pages.
	mkdir -vp $(BUILDDIR)/man
	$(BUILDDIR)/bin/prometheus-alertmanager --help-man > \
	    $(BUILDDIR)/man/prometheus-alertmanager.1
	$(BUILDDIR)/bin/amtool --help-man > \
	    $(BUILDDIR)/man/amtool.1
	# Remove build information headers, and fix whatis entry.
	sed -i '/^  /d; /^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) \
	    $(BUILDDIR)/man/prometheus-alertmanager.1
	sed -i '/^  /d; /^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) \
	    $(BUILDDIR)/man/amtool.1
	# Fix executable path in amtool examples
	sed -i 's/\.\/amtool/amtool/' $(BUILDDIR)/man/amtool.1

execute_after_dh_auto_test:
	# Don't abort if acceptance tests fail, as they are too sensitive to
	# timing issues.
	( for pkg in cli/acceptance with_api_v1/acceptance \
	    with_api_v2/acceptance; do \
	    DH_GOLANG_EXCLUDES= DH_GOPKG=$(DH_GOPKG)/test/$$pkg \
	    dh_auto_test || { \
		echo "*** Acceptance tests failed ***"; \
		exit 1; \
		}; \
	  done; ) || true

override_dh_auto_install-indep:
	dh_auto_install -- --no-binaries
	dh_install usr/share/gocode

override_dh_auto_install-arch:
	dh_auto_install -- --no-source
	dh_install usr/bin/amtool
	dh_install usr/bin/prometheus-alertmanager

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-alertmanager-$1.tar.gz/,\
      dversionmangle=s/\+ds\d*$//,\
      uversionmangle=s/rc/~rc/" \
  https://github.com/prometheus/alertmanager/tags \
  (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## prometheus-alertmanager 0.23.0

=== ui/app/Makefile ===
# Use `=` instead of `:=` expanding variable lazely, not at beginning. Needed as
# elm files change during execution.
ELM_FILES = $(shell find src -iname *.elm)
DOCKER_IMG := elm-env
DOCKER_RUN_CURRENT_USER := docker run --user=$(shell id -u $(USER)):$(shell id -g $(USER))
DOCKER_CMD := $(DOCKER_RUN_CURRENT_USER) --rm -t -v $(PWD):/app -w /app -e "ELM_HOME=/app/.elm" $(DOCKER_IMG)
# If JUNIT_DIR is set, the tests are executed with the JUnit reporter and the result is stored in the given directory.
JUNIT_DIR ?=

ifeq ($(NO_DOCKER), true)
  DOCKER_CMD=
endif

all: script.js test

elm-env:
	@(if [ "$(NO_DOCKER)" != "true" ] ; then \
		echo ">> building elm-env docker image"; \
		docker build -t $(DOCKER_IMG) ../. > /dev/null; \
	fi; )

format: elm-env $(ELM_FILES)
	@echo ">> format front-end code"
	@$(DOCKER_CMD) elm-format --yes $(ELM_FILES)

review: src/Data elm-env
	@$(DOCKER_CMD) elm-review --fix

test: src/Data elm-env
	@$(DOCKER_CMD) rm -rf elm-stuff/generated-code
	@$(DOCKER_CMD) elm-format $(ELM_FILES) --validate
	@$(DOCKER_CMD) elm-review
ifneq ($(JUNIT_DIR),)
	mkdir -p $(JUNIT_DIR)
	@$(DOCKER_CMD) elm-test --report=junit | tee $(JUNIT_DIR)/junit.xml
else
	@$(DOCKER_CMD) elm-test
endif

dev-server:
	elm reactor

# macOS requires mktemp template to be at the end of the filename,
# however --output flag for elm make must end in .js or .html.
script.js: export TEMPFILE := "$(shell mktemp ./elm-XXXXXXXXXX)"
script.js: export TEMPFILE_JS := "$(TEMPFILE).js"
script.js: src/Data elm-env format $(ELM_FILES)
	@echo ">> building script.js"
	@$(DOCKER_CMD) rm -rf elm-stuff
	@$(DOCKER_CMD) elm make src/Main.elm --optimize --output $(TEMPFILE_JS)
	@$(DOCKER_CMD) uglifyjs $(TEMPFILE_JS) --compress 'pure_funcs="F2,F3,F4,F5,F6,F7,F8,F9,A2,A3,A4,A5,A6,A7,A8,A9",pure_getters,keep_fargs=false,unsafe_comps,unsafe' --mangle --output $(@)
	@rm -rf $(TEMPFILE_JS)
	@rm -rf $(TEMPFILE)

src/Data: export TEMPOPENAPI := $(shell mktemp -d ./openapi-XXXXXXXXXX)
src/Data: ../../api/v2/openapi.yaml
	-rm -r src/Data
	$(DOCKER_RUN_CURRENT_USER) --rm -v ${PWD}/../..:/local openapitools/openapi-generator-cli:v3.3.4 generate \
		-i /local/api/v2/openapi.yaml \
	  -g elm \
		-o /local/ui/app/$(TEMPOPENAPI)
	# We only want data directory & DateTime package.
	cp -r $(TEMPOPENAPI)/src/Data src/Data
	cp -r $(TEMPOPENAPI)/src/DateTime.elm src/DateTime.elm
	rm -rf $(TEMPOPENAPI)


clean:
	- @rm -rf script.js elm-stuff src/Data src/DateTime.elm openapi-* elm-*
	- @if [ ! -z "$(docker images -q $(DOCKER_IMG))" ]; then \
             docker rmi $(DOCKER_IMG); fi

=== debian/changelog ===
prometheus-alertmanager (0.23.0-5ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 21:47:03 +0100

prometheus-alertmanager (0.23.0-5) unstable; urgency=medium

  * Team upload.
  * Replace obsolete golang-go-flags-dev with
    golang-github-jessevdk-go-flags-dev.
  * Sort dependencies.
  * Move installation from debian/rules to install fragment.
  * Update gbp.conf following latest Go Team workflow.
  * Do not install uninteresting documentation files.
  * Do not list directories to create that dh knows about.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 22:46:24 +0100

prometheus-alertmanager (0.23.0-4) unstable; urgency=medium

  * Team upload.
  * Bump golang-github-go-openapi-errors-dev versioned dependency
    to (>= 0.19.5~).
  * Update debian/watch file.
  * Remove now unused Files-Excluded field from debian/copyright.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 01 Dec 2021 14:38:08 +0100

prometheus-alertmanager (0.23.0-3) unstable; urgency=medium

  * Team upload.
  * Bump golang-github-prometheus-common-dev (>= 0.32.1-4) versioned depends.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 30 Nov 2021 12:55:37 +0100

prometheus-alertmanager (0.23.0-2) unstable; urgency=medium

  * Team upload.
  * Replace golang-github-satori-go.uuid-dev with golang-github-gofrs-uuid-dev

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 17:56:06 +0100

prometheus-alertmanager (0.23.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.

  [ Guillem Jover ]
  * New upstream release.
  * Refresh debian/patches for new upstream release.
  * Update dependencies for new upstream release.
  * Update copyright years.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add trailing comma to Build-Depends removed by the janitor.
  * Remove ${shlibs:Depends} from -dev Depends field.
  * Update default file from latest --help output.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 00:38:42 +0100

=== debian/control ===
Source: prometheus-alertmanager
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               golang-any (>= 2:1.10~),
               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
               golang-github-aws-aws-sdk-go-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-go-kit-log-dev,
               golang-github-go-openapi-errors-dev (>= 0.19.5~),
               golang-github-go-openapi-loads-dev,
               golang-github-go-openapi-runtime-dev (>= 0.21.0~),
               golang-github-go-openapi-spec-dev,
               golang-github-go-openapi-strfmt-dev (>= 0.19.0~),
               golang-github-go-openapi-swag-dev,
               golang-github-go-openapi-validate-dev (>= 0.20.3~),
               golang-github-gofrs-uuid-dev,
               golang-github-gogo-protobuf-dev (>= 0.5),
               golang-github-hashicorp-go-sockaddr-dev,
               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
               golang-github-jessevdk-go-flags-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-oklog-run-dev,
               golang-github-oklog-ulid-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 1.3.0~),
               golang-github-prometheus-common-dev (>= 0.32.1-4),
               golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
               golang-github-rs-cors-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
               golang-go.uber-atomic-dev,
               golang-golang-x-mod-dev,
               golang-golang-x-net-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
               golang-protobuf-extensions-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/alertmanager

Package: prometheus-alertmanager
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

Package: golang-github-prometheus-alertmanager-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
         golang-github-aws-aws-sdk-go-dev,
         golang-github-cenkalti-backoff-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-go-kit-log-dev,
         golang-github-go-openapi-errors-dev (>= 0.19.5~),
         golang-github-go-openapi-loads-dev,
         golang-github-go-openapi-runtime-dev (>= 0.21.0~),
         golang-github-go-openapi-spec-dev,
         golang-github-go-openapi-strfmt-dev (>= 0.19.0~),
         golang-github-go-openapi-swag-dev,
         golang-github-go-openapi-validate-dev (>= 0.20.3~),
         golang-github-gogo-protobuf-dev (>= 0.5),
         golang-github-hashicorp-go-sockaddr-dev,
         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
         golang-github-jessevdk-go-flags-dev,
         golang-github-kylelemons-godebug-dev,
         golang-github-oklog-run-dev,
         golang-github-oklog-ulid-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev (>= 1.3.0~),
         golang-github-prometheus-common-dev (>= 0.32.1-4),
         golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
         golang-github-rs-cors-dev,
         golang-github-gofrs-uuid-dev,
         golang-github-stretchr-testify-dev,
         golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
         golang-go.uber-atomic-dev,
         golang-golang-x-mod-dev,
         golang-golang-x-net-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
         golang-protobuf-extensions-dev,
         ${misc:Depends},
Description: handle and deliver alerts created by Prometheus -- source
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
 .
 This package provides the source code to be used as a library.

=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-	    --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
 WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"
@@ -74,5 +73,3 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install -- --no-source
-	dh_install usr/bin/amtool
-	dh_install usr/bin/prometheus-alertmanager

## prometheus-alertmanager 0.24.0

=== debian/changelog ===
prometheus-alertmanager (0.24.0-4) unstable; urgency=medium

  * Add new 10-Support_newer_exporter-toolkit.patch
  * Bump required golang-github-prometheus-exporter-toolkit-dev version to >=
    0.8.0
  * debian/default: update command-line flag help

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 10:53:33 +0000

prometheus-alertmanager (0.24.0-3) unstable; urgency=medium

  * Add patch to change port used in tests. This avoids autopkgtest
    failures due to port clashes with a running alertmanager.
    Closes: #1021734

 -- Martina Ferrari <tina@debian.org>  Mon, 17 Oct 2022 23:21:45 +0000

prometheus-alertmanager (0.24.0-2) unstable; urgency=medium

  * Add new 08-Disable_network_tests.patch to disable any test(s) which
    attempt to use the network, since this is not guaranteed to be available
    in a buildd.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 20 Sep 2022 01:09:53 +0000

prometheus-alertmanager (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Add new build-dep golang-gopkg-telebot.v3-dev
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update lintian-overrides to new format

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Sep 2022 17:43:20 +0000

prometheus-alertmanager (0.23.0-6) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Update my email address
  * Add new 07-Fix_config_test.patch to fix config test failures when building
    against newer golang-github-prometheus-common-dev versions
  * Drop obsolete 06-Backoff-v3.patch and specify versioned dependencies for
    golang-github-cenkalti-backoff-dev

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Set upstream metadata fields: Repository-Browse, Security-Contact.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 16:42:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-golang,
-               golang-any (>= 2:1.10~),
+               golang-any,
                golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-cenkalti-backoff-dev,
+               golang-github-cenkalti-backoff-dev (>= 4.0.0~),
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-log-dev,
                golang-github-go-openapi-errors-dev (>= 0.19.5~),
@@ -23,17 +22,17 @@
                golang-github-go-openapi-swag-dev,
                golang-github-go-openapi-validate-dev (>= 0.20.3~),
                golang-github-gofrs-uuid-dev,
-               golang-github-gogo-protobuf-dev (>= 0.5),
+               golang-github-gogo-protobuf-dev,
                golang-github-hashicorp-go-sockaddr-dev,
-               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+               golang-github-hashicorp-memberlist-dev,
                golang-github-jessevdk-go-flags-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>= 1.3.0~),
-               golang-github-prometheus-common-dev (>= 0.32.1-4),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
+               golang-github-prometheus-common-dev (>= 0.33.0~),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-github-rs-cors-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
@@ -41,9 +40,10 @@
                golang-golang-x-mod-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-telebot.v3-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
@@ -52,7 +52,7 @@
 
 Package: prometheus-alertmanager
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -69,7 +69,7 @@
 Multi-Arch: foreign
 Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
          golang-github-aws-aws-sdk-go-dev,
-         golang-github-cenkalti-backoff-dev,
+         golang-github-cenkalti-backoff-dev (>= 4.0.0~),
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-log-dev,
          golang-github-go-openapi-errors-dev (>= 0.19.5~),
@@ -79,26 +79,27 @@
          golang-github-go-openapi-strfmt-dev (>= 0.19.0~),
          golang-github-go-openapi-swag-dev,
          golang-github-go-openapi-validate-dev (>= 0.20.3~),
-         golang-github-gogo-protobuf-dev (>= 0.5),
+         golang-github-gofrs-uuid-dev,
+         golang-github-gogo-protobuf-dev,
          golang-github-hashicorp-go-sockaddr-dev,
-         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+         golang-github-hashicorp-memberlist-dev,
          golang-github-jessevdk-go-flags-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-oklog-run-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev (>= 1.3.0~),
-         golang-github-prometheus-common-dev (>= 0.32.1-4),
+         golang-github-prometheus-common-dev (>= 0.33.0~),
          golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
          golang-github-rs-cors-dev,
-         golang-github-gofrs-uuid-dev,
          golang-github-stretchr-testify-dev,
          golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
          golang-go.uber-atomic-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
-         golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+         golang-gopkg-telebot.v3-dev,
+         golang-gopkg-yaml.v2-dev,
          golang-protobuf-extensions-dev,
          ${misc:Depends},
 Description: handle and deliver alerts created by Prometheus -- source

## prometheus-alertmanager 0.25.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x

include Makefile.common

FRONTEND_DIR             = $(BIN_DIR)/ui/app
TEMPLATE_DIR             = $(BIN_DIR)/template
DOCKER_IMAGE_NAME       ?= alertmanager

STATICCHECK_IGNORE =

.PHONY: build-all
# Will build both the front-end as well as the back-end
build-all: assets apiv2 build

.PHONY: assets
assets: asset/assets_vfsdata.go

.PHONY: assets-tarball
assets-tarball: ui/app/script.js ui/app/index.html
	scripts/package_assets.sh

asset/assets_vfsdata.go: ui/app/script.js ui/app/index.html ui/app/lib template/default.tmpl template/email.tmpl
	GO111MODULE=$(GO111MODULE) $(GO) generate $(GOOPTS) ./asset
	@$(GOFMT) -w ./asset

ui/app/script.js: $(shell find ui/app/src -iname *.elm) api/v2/openapi.yaml
	cd $(FRONTEND_DIR) && $(MAKE) script.js

template/email.tmpl: template/email.html
	cd $(TEMPLATE_DIR) && $(MAKE) email.tmpl

.PHONY: apiv2
apiv2: api/v2/models api/v2/restapi api/v2/client

SWAGGER = docker run \
	--user=$(shell id -u $(USER)):$(shell id -g $(USER)) \
	--rm \
	-v $(shell pwd):/go/src/github.com/prometheus/alertmanager \
	-w /go/src/github.com/prometheus/alertmanager quay.io/goswagger/swagger:v0.30.3

api/v2/models api/v2/restapi api/v2/client: api/v2/openapi.yaml
	-rm -r api/v2/{client,models,restapi}
	$(SWAGGER) generate server -f api/v2/openapi.yaml --copyright-file=COPYRIGHT.txt --exclude-main -A alertmanager --target api/v2/
	$(SWAGGER) generate client -f api/v2/openapi.yaml --copyright-file=COPYRIGHT.txt --skip-models --target api/v2

.PHONY: clean
clean:
	- @rm -rf asset/assets_vfsdata.go \
                  api/v2/models api/v2/restapi api/v2/client
	- @cd $(FRONTEND_DIR) && $(MAKE) clean

=== doc/alertmanager-mixin/Makefile ===
JSONNET_FMT := jsonnetfmt -n 2 --max-blank-lines 1 --string-style s --comment-style s
ALERTMANAGER_ALERTS := alertmanager_alerts.yaml

default: vendor build dashboards_out

all: fmt build

vendor: 
	jb install

fmt:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		xargs -n 1 -- $(JSONNET_FMT) -i

lint: build
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		while read f; do \
			$(JSONNET_FMT) "$$f" | diff -u "$$f" -; \
		done

	mixtool lint mixin.libsonnet


dashboards_out: mixin.libsonnet config.libsonnet $(wildcard dashboards/*)
	@mkdir -p dashboards_out
	jsonnet -J vendor -m dashboards_out dashboards.jsonnet

build: vendor
	mixtool generate alerts mixin.libsonnet > $(ALERTMANAGER_ALERTS)

clean:
	rm -rf $(ALERTMANAGER_ALERTS)

=== debian/changelog ===
prometheus-alertmanager (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete patches:
    - 07-Fix_config_test.patch
    - 10-Support_newer_exporter-toolkit.patch
  * Add new 10-Revert_openapi_swaggerContext.patch
  * Add new (build-)dependencies:
    - golang-github-benbjohnson-clock-dev
    - golang-github-go-openapi-analysis-dev
    - golang-golang-x-text-dev
    - tzdata

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 Feb 2023 04:22:09 +0000

prometheus-alertmanager (0.24.0-5) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Enhance 10-Support_newer_exporter-toolkit.patch to remove the redundant
    logging of the listener address
  * Refactor handling of default notification templates in
    02-Do_not_embed_blobs.patch, and additionally ship email.tmpl in package
    (Closes: #1023790)

  [ Guillem Jover ]
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 Feb 2023 02:39:37 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
                golang-any,
                golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-benbjohnson-clock-dev,
                golang-github-cenkalti-backoff-dev (>= 4.0.0~),
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-log-dev,
+               golang-github-go-openapi-analysis-dev,
                golang-github-go-openapi-errors-dev (>= 0.19.5~),
                golang-github-go-openapi-loads-dev,
                golang-github-go-openapi-runtime-dev (>= 0.21.0~),
@@ -39,10 +41,12 @@
                golang-go.uber-atomic-dev,
                golang-golang-x-mod-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-text-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-telebot.v3-dev,
                golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
+               tzdata,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
@@ -54,6 +58,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
+         tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
@@ -69,9 +74,11 @@
 Multi-Arch: foreign
 Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
          golang-github-aws-aws-sdk-go-dev,
+         golang-github-benbjohnson-clock-dev,
          golang-github-cenkalti-backoff-dev (>= 4.0.0~),
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-log-dev,
+         golang-github-go-openapi-analysis-dev,
          golang-github-go-openapi-errors-dev (>= 0.19.5~),
          golang-github-go-openapi-loads-dev,
          golang-github-go-openapi-runtime-dev (>= 0.21.0~),
@@ -97,10 +104,12 @@
          golang-go.uber-atomic-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-text-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-telebot.v3-dev,
          golang-gopkg-yaml.v2-dev,
          golang-protobuf-extensions-dev,
+         tzdata,
          ${misc:Depends},
 Description: handle and deliver alerts created by Prometheus -- source
  The Alertmanager handles alerts sent by client applications such as the

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_GOPKG := github.com/prometheus/alertmanager
 export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
 export DH_GOLANG_EXCLUDES_ALL := 0
-export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl ui/app
+export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl template/email.tmpl ui/app
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
@@ -32,7 +32,7 @@
 	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
-WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"
+WHATIS2 := "amtool \\- Tooling for the Prometheus alert manager"
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus-alertmanager 0.25.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.25.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Re-introduce +ds version suffix, since we now strip some files from the
    upstream original.
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop redundant version constraint for golang-github-alecthomas-units-dev

  [ Martina Ferrari ]
  * debian/generate-ui.sh:
    - fix failing script, thanks to Ian Kelling <iank@fsf.org> for the patch.
      Closes: #1037356.
    - various additional fixes.
  * Remove vendored font-awesome and bootstrap library.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Jul 2023 16:38:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-bash-completion,
                dh-sequence-golang,
                golang-any,
-               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
+               golang-github-alecthomas-units-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-benbjohnson-clock-dev,
                golang-github-cenkalti-backoff-dev (>= 4.0.0~),
@@ -47,7 +47,7 @@
                golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
                tzdata,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
@@ -72,7 +72,7 @@
 Section: golang
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
+Depends: golang-github-alecthomas-units-dev,
          golang-github-aws-aws-sdk-go-dev,
          golang-github-benbjohnson-clock-dev,
          golang-github-cenkalti-backoff-dev (>= 4.0.0~),

## prometheus-alertmanager 0.26.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-alertmanager
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -26,6 +27,7 @@
                golang-github-gofrs-uuid-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-hashicorp-go-sockaddr-dev,
+               golang-github-hashicorp-golang-lru-v2-dev,
                golang-github-hashicorp-memberlist-dev,
                golang-github-jessevdk-go-flags-dev,
                golang-github-kylelemons-godebug-dev,
@@ -89,6 +91,7 @@
          golang-github-gofrs-uuid-dev,
          golang-github-gogo-protobuf-dev,
          golang-github-hashicorp-go-sockaddr-dev,
+         golang-github-hashicorp-golang-lru-v2-dev,
          golang-github-hashicorp-memberlist-dev,
          golang-github-jessevdk-go-flags-dev,
          golang-github-kylelemons-godebug-dev,

## prometheus-alertmanager 0.26.0+ds

=== Makefile ===
--- 
+++ 
@@ -60,5 +60,6 @@
 .PHONY: clean
 clean:
 	- @rm -rf asset/assets_vfsdata.go \
+                  template/email.tmpl \
                   api/v2/models api/v2/restapi api/v2/client
 	- @cd $(FRONTEND_DIR) && $(MAKE) clean

=== template/Makefile ===
DOCKER_IMG := altermanager-template
DOCKER_RUN_CURRENT_USER := docker run --user=$(shell id -u $(USER)):$(shell id -g $(USER))
DOCKER_CMD := $(DOCKER_RUN_CURRENT_USER) --rm -t -v $(PWD):/app -w /app $(DOCKER_IMG)

ifeq ($(NO_DOCKER), true)
	DOCKER_CMD=
endif

template-image:
	@(if [ "$(NO_DOCKER)" != "true" ] ; then \
		echo ">> build template docker image"; \
		docker build -t $(DOCKER_IMG) . > /dev/null; \
	fi; )

email.tmpl: template-image email.html
	@echo ">> inline css for html email template"
	$(DOCKER_CMD) ./inline-css.js

=== debian/changelog ===
prometheus-alertmanager (0.26.0+ds-1) unstable; urgency=medium

  * New upstream release (fixes CVE-2023-40577)
  * Add new dependency golang-github-hashicorp-golang-lru-v2-dev
  * debian/copyright: drop superfluous trailing slashes in Files-Excluded
  * debian/rules: modernize style to match other exporter packages
  * Drop obsolete 09-Avoid_port_clash.patch
  * Convert patches to gbp-pq format
  * Add new 0007-Revert-kingpin.v2-import-path.patch
  * Drop obsolete lintian overrides
  * Refresh default alertmanager.yml config

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 26 Aug 2023 15:50:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

# Acceptance tests need to be run separately.
export DH_GOPKG := github.com/prometheus/alertmanager
export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
export DH_GOLANG_EXCLUDES_ALL := 0
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl template/email.tmpl ui/app

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

MANAGER_BINNAME := $(DEB_SOURCE)
TOOL_BINNAME := amtool

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/alertmanager _build/bin/$(MANAGER_BINNAME)
	# Build bash completion scripts.
	mkdir -vp _build/bash_completion.d
	_build/bin/$(TOOL_BINNAME) --completion-script-bash > _build/bash_completion.d/$(TOOL_BINNAME)

MAN_WHATIS_MANAGER := $(MANAGER_BINNAME) \\- the Prometheus alert manager
MAN_WHATIS_TOOL := $(TOOL_BINNAME) \\- Tooling for the Prometheus alert manager
MAN_PROG_MANAGER := $(shell echo $(MANAGER_BINNAME) | tr [:lower:] [:upper:])
MAN_PROG_TOOL := $(shell echo $(TOOL_BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(MANAGER_BINNAME) --help-man > _build/$(MANAGER_BINNAME).1
	_build/bin/$(TOOL_BINNAME) --help-man > _build/$(TOOL_BINNAME).1
	# Fix title header and footers.
	sed -i '/^.TH .*/c.TH $(MAN_PROG_MANAGER) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(MANAGER_BINNAME).1
	sed -i '/^.TH .*/c.TH $(MAN_PROG_TOOL) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(TOOL_BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/*.1
	# Fix whatis entries.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS_MANAGER)' _build/$(MANAGER_BINNAME).1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS_TOOL)' _build/$(TOOL_BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/*.1
	# Fix executable path in amtool examples
	sed -i 's/\.\/amtool/amtool/' _build/$(TOOL_BINNAME).1

execute_after_dh_auto_test:
	# Don't abort if acceptance tests fail, as they are too sensitive to
	# timing issues.
	( for pkg in cli/acceptance with_api_v1/acceptance \
	    with_api_v2/acceptance; do \
	    DH_GOLANG_EXCLUDES= DH_GOPKG=$(DH_GOPKG)/test/$$pkg \
	    dh_auto_test || { \
		echo "*** Acceptance tests failed ***"; \
		exit 1; \
		}; \
	  done; ) || true

override_dh_auto_install-indep:
	dh_auto_install -- --no-binaries
	dh_install usr/share/gocode

override_dh_auto_install-arch:
	dh_auto_install -- --no-source

## prometheus-alertmanager 0.27.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.27.0+ds-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 13:02:48 +1000

prometheus-alertmanager (0.27.0+ds-2) unstable; urgency=medium

  * Add new 0008-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Mar 2024 13:39:20 +0000

prometheus-alertmanager (0.27.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 0008-Disable-React-app.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 06 Mar 2024 21:20:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-alertmanager
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -33,7 +34,7 @@
                golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.3.0~),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev (>= 0.33.0~),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-github-rs-cors-dev,
@@ -97,7 +98,7 @@
          golang-github-oklog-run-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
-         golang-github-prometheus-client-golang-dev (>= 1.3.0~),
+         golang-github-prometheus-client-golang-dev (>= 1.19.0),
          golang-github-prometheus-common-dev (>= 0.33.0~),
          golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
          golang-github-rs-cors-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Acceptance tests need to be run separately.
 export DH_GOPKG := github.com/prometheus/alertmanager
-export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
+export DH_GOLANG_EXCLUDES := asset examples test/.*/acceptance ui/react-app
 export DH_GOLANG_EXCLUDES_ALL := 0
 export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl template/email.tmpl ui/app
